Update */pear-Horde
ClosedPublic

Authored by joneum on Dec 6 2017, 8:47 PM.

Details

Summary

Update */pear-Horde to the latest version

switch to DISTVERSION

Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
joneum created this revision.Dec 6 2017, 8:47 PM
joneum updated this revision to Diff 36312.Dec 6 2017, 8:50 PM

set "IGNORE_WITH_PHP= 72" for databases/pear-Horde_Memcache

When using php72:

[00:00:01] Warning: (databases/pear-Horde_Memcache): [00:00:01] Error: databases/pear-Horde_Memcache depends on nonexistent origin 'databases/php72-memcache'; Please contact maintainer of the port to fix this.
joneum added a comment.Dec 7 2017, 5:37 PM

When using php72:

[00:00:01] Warning: (databases/pear-Horde_Memcache): [00:00:01] Error: databases/pear-Horde_Memcache depends on nonexistent origin 'databases/php72-memcache'; Please contact maintainer of the port to fix this.

You have a look at the new entry into the Makefile? "IGNORE_WITH_PHP= 72"

When using php72:

[00:00:01] Warning: (databases/pear-Horde_Memcache): [00:00:01] Error: databases/pear-Horde_Memcache depends on nonexistent origin 'databases/php72-memcache'; Please contact maintainer of the port to fix this.

You have a look at the new entry into the Makefile? "IGNORE_WITH_PHP= 72"

Exactly :) I would expect it to be skipped, and not break "all the builds" :)

joneum added a comment.Dec 8 2017, 6:57 AM

When using php72:

[00:00:01] Warning: (databases/pear-Horde_Memcache): [00:00:01] Error: databases/pear-Horde_Memcache depends on nonexistent origin 'databases/php72-memcache'; Please contact maintainer of the port to fix this.

You have a look at the new entry into the Makefile? "IGNORE_WITH_PHP= 72"

Exactly :) I would expect it to be skipped, and not break "all the builds" :)

I see, sunpoet add databases/php72-memcache, so i can remove the IGNORE entry :-)

joneum updated this revision to Diff 36394.Dec 8 2017, 8:04 PM

remove "IGNORE_WITH_PHP= 72" for Horde_Memcache after https://svnweb.freebsd.org/changeset/ports/455763

joneum edited the summary of this revision. (Show Details)Dec 8 2017, 8:04 PM
tcberner accepted this revision.Dec 8 2017, 8:17 PM

Looks good to me.

This revision is now accepted and ready to land.Dec 8 2017, 8:17 PM
This revision was automatically updated to reflect the committed changes.